// Ordering Dialog Form IDs
export const OD_ACTIVITY	= 100;
export const OD_ALLERGY		= 105;
export const OD_CONSULT		= 110;
export const OD_PROCEDURE	= 112;
export const OD_DIET_TXT	= 115;
export const OD_DIET		= 117;
export const OD_LAB			= 120;
export const OD_AP			= 121;
export const OD_BB			= 125;
export const OD_MEDINPT		= 130;
export const OD_MEDS		= 135;
export const OD_MEDOUTPT	= 140;
export const OD_MEDNONVA	= 145;
export const OD_NURSING		= 150;
export const OD_MISC		= 151;
export const OD_GENERIC		= 152;
export const OD_IMAGING		= 160;
export const OD_VITALS		= 171;  // use 170 for ORWD GENERIC VITALS, 171 for GMRVOR
export const OD_RTC			= 175;
export const OD_MEDIV		= 180;
export const OD_TEXTONLY	= 999;
export const OM_NAV			= 1001;
export const OM_QUICK		= 1002;
export const OM_TABBED		= 1003;
export const OM_TREE		= 1004;
export const OM_ALLERGY		= 1105;
export const OM_HTML		= 1200;
export const OD_AUTOACK		= 9999;
export const OD_CLINICMED	= 1444;
export const OD_CLINICINF	= 1555;

export const ORDERABLE_DGNM = [
	{ dgnm: 'RX',		name: 'Medication' },
	{ dgnm: 'UD RX',	name: 'Inpatient' },
	{ dgnm: 'O RX',		name: 'Outpatient' },
	{ dgnm: 'NURS',		name: 'Nursing' },
	{ dgnm: 'DO',		name: 'Diet' },
	{ dgnm: 'LAB',		name: 'Laboratory' },
	{ dgnm: 'XRAY',		name: 'Imaging' },
	{ dgnm: 'CSLT',		name: 'Consult' },
	{ dgnm: 'PROC',		name: 'Procedure' },
	{ dgnm: 'NV RX',	name: 'Non-VA' },
];

export const ORDERABLE_XREF = ORDERABLE_DGNM.map(x => { return { xref: 'S.' + x.dgnm, name: x.name }; });
